Validation Services
VAT Validation
Check the structure and formal validity of a VAT number (Partita IVA) and get a quality flag and code that describe the result of the check.
Headers & authentication
Required request headers and their expected values.
| Field | Type | Description |
|---|---|---|
tokenreq | String | Authentication token sent in the |
Request
Country context and VAT number to validate.
| Field | Type | Description |
|---|---|---|
parreq | Object | Country context for VAT number formal validation. |
iso2 | String | Country code, ISO 3166-1 alpha-2. One of |
iso3 | String | Country code, ISO 3166-1 alpha-3. One of |
datareq | Object | Input data to validate |
vat_numberreq | Object | VAT number to formally validate |
cod_iso3 | String | Country code (ISO 3166-1 alpha-3) |
cod_type | String | Type of code |
cod_descriptionreq | String | VAT number to check |
Response
Validated VAT number, verification quality indicator, and system status.
| Field | Type | Description |
|---|---|---|
data | Object | Normalized and enriched validation output data |
vat_number | Object | Formal validation outcome for VAT number |
cod_description | String | Validated VAT number |
quality | Object | Validation quality indicators and score flags |
vat_number | Object | Quality indicator result (see https://documentation.egon.com/docs/quality-indicators) |
flag | String | Quality flag |
code | Number | Quality result code |
description | String | Quality result description |
system | Object | Request processing status. |
ret_code | Number | Processing result code. 0 means no blocking error. |
des_ret_code | String | Human-readable processing result. |
curl -X POST "https://{host}:{port}/Egon/api/norm" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "ITA"
},
"data": {
"vat_number": {
"cod_iso3": "ITA",
"cod_type": "01111",
"cod_description": "10851310960"
}
}
}'